ACTIVE and ready to receive payments before initiating a wire transfer.
Endpoint
com.diameterpay.api/counter-parties.read
Request Headers
string
required
Bearer token obtained from your OAuth2 token endpoint. Format:
Bearer {access_token}Path Parameters
string
required
The UUID of the counterparty to retrieve.
Response
Returns HTTP 200 OK with aCounterPartyOutput object on success.
string
UUID uniquely identifying this counterparty record.
string
The counterparty type:
ORGANIZATION or INDIVIDUAL.string
UUID of the end user this counterparty belongs to.
string
Full legal name. Present when
type is ORGANIZATION.string
First name. Present when
type is INDIVIDUAL.string
Middle name. Optionally present when
type is INDIVIDUAL.string
Last name. Present when
type is INDIVIDUAL.object
The wire transfer details for this counterparty, including
bankName, accountNumber, routingNumberType, routingNumber, and address.array
List of bank partner onboarding records for this counterparty.
string
ISO 8601 timestamp of when the counterparty was created.
string
ISO 8601 timestamp of the most recent update to the counterparty record.